<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve 4 question</p>
		<button onclick="swap_adj()">swap every adjcent nodes</button>
		<p id="demo"></p>

		<script>
			function swap_adj() {
                // User defined class node 
                class Node { 
                    // constructor 
                    constructor(element) 
                    { 
                        this.element = element; 
                        this.next = null
                    } 
                } 

                // linkedlist class 
                class LinkedList { 
                    constructor() { 
                        this.head = null; 
                        this.size = 0; 
                    }   

                    // adds an element at the end of list 
                    add(element) { 
                        // creates a new node 
                        var node = new Node(element); 
    
                        // to store current node 
                        var current; 
    
                        // if list is Empty add the element and make it head 
                        if (this.head == null) 
                            this.head = node; 
                        else {
                            current = this.head; 
    
                            // iterate to the end of the list 
                            while (current.next) { 
                                current = current.next; 
                            } 
                            // add node 
                            current.next = node;  
                            this.size++; 
                        }
                    }

                    // prints the list items 
                    printList() { 
                        var curr = this.head; 
                        var str = ""; 
                        while (curr) { 
                            str += curr.element + " "; 
                            curr = curr.next; 
                        } 
                        console.log(str); 
                    } 

                    swapAdjcent() {
                        var temp = this.head; 
                        //Traverse only till there are atleast 2 nodes left
                        while (temp != null && temp.next != null) { 
                            //Swap the node
                            temp.data = temp.next.data; 
                            temp.next.data = k; 
                            temp = temp.next.next; 
                        }
                    }
                }

                // creating an object for the Linkedlist class 
                var ll = new LinkedList(); 

                // adding element to the list 
                ll.add(10);  
                ll.add(20); 
                ll.add(30); 
                ll.add(40); 
                ll.add(50); 
                ll.add(60);  
                ll.add(70); 
                ll.add(80); 
                ll.add(90); 
                ll.add(100);

                // print the list
                ll.printList();
                ll.skipMdeleteN(2,2);
                ll.printList();

        }

		</script>

	</body>
</html>